Bug 455427 - x86: don't call MP_processor_info for disabled cpu (64bit)
x86: don't call MP_processor_info for disabled cpu (64bit)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks: 455409
  Show dependency treegraph
 
Reported: 2008-07-15 10:09 EDT by Prarit Bhargava
Modified: 2009-01-20 15:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:25:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream fix for this issue (3.40 KB, patch)
2008-07-15 10:09 EDT, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (931 bytes, patch)
2008-07-15 18:57 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2008-07-15 10:09:02 EDT
Backport

Gitweb:    
http://git.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=8ccab29ca8c441ae00d878d2f0000275f430f8a5
Commit:     8ccab29ca8c441ae00d878d2f0000275f430f8a5
Parent:     86c9835b46605fb29a3c30c6cc344d9df49e54a3
Author:     Alexey Starikovskiy <astarikovskiy@suse.de>
AuthorDate: Thu Mar 27 23:55:28 2008 +0300
Committer:  Ingo Molnar <mingo@elte.hu>
CommitDate: Thu Apr 17 17:41:32 2008 +0200

    x86: don't call MP_processor_info for disabled cpu (64bit)
    
    Signed-off-by: Alexey Starikovskiy <astarikovskiy@suse.de>
    Signed-off-by: Ingo Molnar <mingo@elte.hu>
Comment 1 Prarit Bhargava 2008-07-15 10:09:02 EDT
Created attachment 311831 [details]
Upstream fix for this issue
Comment 2 Prarit Bhargava 2008-07-15 18:57:18 EDT
Created attachment 311891 [details]
RHEL5 fix for this issue
Comment 3 Prarit Bhargava 2008-07-15 19:02:45 EDT
While resolving this issue I noticed a minor bug with the declaration of
disabled_cpus.  It should be declared as __cpuinitdata, not __initdata.

P.
Comment 4 RHEL Product and Program Management 2008-07-15 19:42:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2008-07-23 14:56:12 EDT
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 errata-xmlrpc 2009-01-20 15:25:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.